This website uses cookies to improve our services and deliver relevant ads.
By interacting with this site, you agree to this use. For more information, see our Cookies Policy
| ovrRequest | ovr_IAP_ConsumePurchase ( const char * sku ) |
| ovrRequest | |
| ovrRequest | |
| ovrRequest | |
| ovrRequest | |
| ovrRequest | ovr_IAP_LaunchCheckoutFlow ( const char * sku ) |
$ curl -d "access_token=$USER_ACCESSTOKEN" -d "sku=EXAMPLE1" https://graph.oculus.com/$APPID/verify_entitlement
{"success":true}
$ curl -d "access_token=$USER_ACCESSTOKEN" -d "sku=EXAMPLE1" https://graph.oculus.com/$APPID/consume_entitlement
{"success":true}
$ curl -d "access_token=$USER_ACCESSTOKEN" -d "sku=EXAMPLE1" https://graph.oculus.com/$APPID/verify_entitlement
{"success":false}
$ curl -G -d "access_token=$USER_ACCESSTOKEN" -d "fields=id,item{sku}" https://graph.oculus.com/$APPID/viewer_purchases
{"data":[{"id":"963119010431337","item":{"sku":"EXAMPLE1"}}]}
// This file was @generated with LibOVRPlatform/codegen/main. Do not modify it! #ifndef OVR_REQUESTS_IAP_H #define OVR_REQUESTS_IAP_H #include "OVR_Types.h" #include "OVR_Platform_Defs.h" #include "OVR_ProductArray.h" #include "OVR_PurchaseArray.h" OVRP_PUBLIC_FUNCTION(ovrRequest) ovr_IAP_ConsumePurchase(constchar *sku); OVRP_PUBLIC_FUNCTION(ovrRequest) ovr_IAP_GetNextProductArrayPage(ovrProductArrayHandle handle); OVRP_PUBLIC_FUNCTION(ovrRequest) ovr_IAP_GetNextPurchaseArrayPage(ovrPurchaseArrayHandle handle); OVRP_PUBLIC_FUNCTION(ovrRequest) ovr_IAP_GetProductsBySKU(constchar **skus, int count); OVRP_PUBLIC_FUNCTION(ovrRequest) ovr_IAP_GetViewerPurchases(); OVRP_PUBLIC_FUNCTION(ovrRequest) ovr_IAP_LaunchCheckoutFlow(constchar *sku); #endif